import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixBottomSheetPage extends StatefulWidget {
  const PhoenixBottomSheetPage({Key? key}) : super(key: key);

  @override
  _PhoenixBottomSheetPageState createState() => _PhoenixBottomSheetPageState();
}

class _PhoenixBottomSheetPageState extends State<PhoenixBottomSheetPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix Bottom Sheet Sample'),
        ),
        body: Center(
            child: ElevatedButton(
          child: const Text("Show All Products"),
          onPressed: _showAllTiles,
        )));
  }

  _showAllTiles() {
    final List<PhoenixProductItem> _items = [
      PhoenixProductItem(
          "Tile 1",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          )),
      PhoenixProductItem(
          "Tile 2",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          )),
      PhoenixProductItem(
          "Tile 3",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          )),
      PhoenixProductItem(
          "Tile 4",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          )),
      PhoenixProductItem(
          "Tile 5",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          )),
      PhoenixProductItem(
          "Tile 6",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          )),
      PhoenixProductItem(
          "Tile 7",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          ),
          "Coming Soon"),
      PhoenixProductItem(
          "Tile 8",
          Image.asset(
            "assets/tab_home.png",
            width: 45,
            height: 45,
          ),
          "Coming Soon"),
    ];

    showPhoenixBottomSheet(
        context,
        "All Products",
        Container(
            margin: const EdgeInsets.only(bottom: 65.0),
            child: CustomScrollView(shrinkWrap: true, slivers: [
              PhoenixProductTiles(
                onTap: (index) {},
                items: _items,
              )
            ])));
  }
}
